/* Page Fonts */

@font-face {
    font-family: "Outfit-VariableFont";
    src: url(fonts/Outfit/Outfit-VariableFont_wght.ttf);
}

body {
    margin: 0;
    padding: 0;
    background-color: #b7b7b7;
    width: 100%;
}



/* Navigation and Titles Section */

.navigation-container {
    display: flex;
    flex-direction: column;
    max-width: 100%;
    justify-content: center;
    background-color: black;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.8);
}

.navigation-titles {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: 100%;
}

.shopping-basket-icon-container {
    display: flex;
    max-width: 100%;
    float: right;
    justify-content: flex-end;
}

#shopping-basket-icon {
    display: flex;
    float: right;
    color: #B61493;
    font-size: 1.5rem;
    padding: 10px;
    margin-top: -12rem;
    margin-right: 1rem;
    text-decoration: none;
    transition: 0.3s;
}

#shopping-basket-icon:hover {
    color: white;
}

.navigation-bar {  
    display: inherit;
    width: 100%;
    justify-content: center;
    align-items: center;
    background-color: #B61493;
}

.navigation-bar ul {
    display: inherit;
    padding: 0;
    border: solid 2px #B61493;
    background-color: #B61493;
}

.navigation-bar li {
    display: inherit;
}

.navigation-bar a {
    font-family: "Outfit-VariableFont", sans-serif;
    color: black;
    text-decoration: none;
    margin: 0.5rem;
    margin-left: 1rem;
    transition: 0.3s;
}

.navigation-bar a:hover {
    color: white;
}

.navigation-bar a:active {  
    color: white;
}

.large-navigation-icon {
    display: none;
    margin: 0 auto;
}

.large-navigation-icon li {
    display: inherit;
}

.large-navigation-icon a {
    display: inherit;
    text-decoration: none;
}

.large-navigation-icon i {
    color: #B61493;
    padding-bottom: 10px;
    font-size: 1.5rem;
}

.large-navigation-icon i:active {
    color: white;
}




/* Home Page Content */

.home-image-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
    
}

#home-image-gallery {
    display: flex;
    justify-content: center;
    max-width: 1200px;
    width: 100%;
    flex-wrap: wrap;
}

.home-image-main-container {
    display: flex;    
    align-items: center;
    justify-content: center;
    max-width: 100%;
    margin-top: 0.5rem;
}

.home-image-main-container img {
    display: flex;
    max-width: 100%;
    height: 600px;
}

.home-image-main {
    display: inherit;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
    border: solid black 4px;
    margin-bottom: 30px;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.8);
}

.home-images {
    height: 280px;
    border: solid black 4px;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.8);
    transition: 0.3s;
}

.home-images:hover {
    box-shadow: 0 0 12px rgba(0, 0, 0, 0.8);
}

.home-image-captions {
    font-family: "Outfit-VariableFont", sans-serif;
    font-size: 1rem;    
    text-align: center;
}

#image-caption-container {
    transition: 0.3s;
}

#image-caption-container:hover {
    transform: scale(1.03);
}

#image-caption-container a:link {
    text-decoration: none;
}

/* Shop Page Content */

.filter-container {
    display: none;
    justify-content: center;
    align-items: center;
    max-width: 100%;
    text-align: center;
}

.filter-container h1 {
    display: inherit;
    max-width: 100%;
    font-family: "Outfit-VariableFont", sans-serif;
    font-size: 2.5rem;
    color: black;
    padding: 0;
    margin: 20px;
}


.filter-container i {
    font-size: 1.5rem;
    padding: 5px;
}



.filter-container a {
    color: black;
}

#mobile-shop-navigation {
    display: none; /* To be displayed when clicked */
    position: absolute;
    justify-content: center;
    align-items: center;
    text-align: center;
    max-width: 100%;
    z-index: 1000;
    background-color: #b7b7b7;
    width: 100%;
    box-shadow: 0 4px 6px -1px gray;
}

#mobile-shop-navigation.show-links {
    display: flex;
}

#mobile-shop-navigation ul {
    display: inherit;
    flex-direction: column;
    list-style: none;
    margin: 0 auto;
    padding: 0;
    margin-bottom: 10px;
    align-items: center;
}

#mobile-shop-navigation li {
    display: inherit;
    text-decoration: none;
    font-family: "Outfit-VariableFont", sans-serif;
    margin: 5px;
    padding: 5px;
}

#mobile-shop-navigation a {
    text-decoration: none;
    color: black;
}

.large-filter-container {
    display: flex;
    max-width: 100%;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: black;
    box-shadow: 0 4px 6px -1px gray;
    padding: 0;
}

.large-filter-container ul {
    display: inherit;
    list-style: none;
    padding: 0;
    width: 100%;
    justify-content: center;
}

.large-filter-container li {
    display: inherit;
    margin: 0 auto;
    font-family: "Outfit-VariableFont", sans-serif;
    text-decoration: none;
    color: white;
    margin-left: 20px;
    margin-right: 20px;
    transition: 0.3s;
}  

.large-filter-container li:hover {
    color: #B61493;
    cursor: pointer;
}

#shop-image-caption-container {
    justify-content: center;
    width: 300px;
    padding: 10px;
    transition: 0.3s;
}

#shop-image-caption-container:hover {
    transform: scale(1.03);
}

.shop-images-container {
   display: flex;
   max-width: 100%;
   text-align: center;
}

.shop-images-gallery {
    display: flex;
    flex-wrap: wrap;
    max-width: 100%;
    margin: 0 auto;
    justify-content: center;
}

.shop-images {
    height: 300px;
    border: solid black 4px;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.8);
    transition: 0.3s;
}

.shop-images:hover {
    box-shadow: 0 0 12px rgba(0, 0, 0, 0.8);
}

.shop-images-caption {
    font-family: "Outfit-VariableFont", sans-serif;
    color: black;
    width: 100%;
}

#clothing-price {
    font-family: "Outfit-VariableFont", sans-serif;
    font-size: 0.8rem;
    padding-top: 6px;
}


.next-page-container {
    display: flex;
    flex: column;
    max-width: 100%;
    justify-content: center;
    align-items: center;
    font-family: "Outfit-VariableFont", sans-serif;
    color: black;
}

.next-page-nav {
    display: inherit;
    margin-top: 1rem;
}

.next-page-nav ul {
    display: inherit;
    padding: 0;
}

.next-page-nav li {
    display: inherit;
    list-style: none;
    padding: 10px;
}

.next-page-nav a {
    display: inherit;
    text-decoration: none;
    color: black;
    margin: 0.5rem;
    font-size: 1.3rem;
}

/* Brands Page */

.bound-container {
    display: flex;
    max-width: 100%;
}

.bound-container h1 {
    display: inherit;
    font-family: "Outfit-VariableFont", sans-serif;
    padding: 10px;
}
/* Footer Section */

.footer-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: 100%;
    background-color: black;
    margin-top: 1rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.8);
    font-family: "Outfit-VariableFont", sans-serif;

}

.footer-container p {
    display: inherit;
    color: white;
    font-size: 0.8rem;
}

.footer-nav-links {
    display: inherit;
    margin-top: -0.8rem;
}

.footer-nav-links ul {
    display: inherit;
    padding: 0;
    border: solid 2px #B61493;
    border-radius: 50px;
    background-color: #B61493;
    padding: 5px;
}

.footer-nav-links li {
    display: inherit;
}

.footer-nav-links a {
    color: white;
    font-size: 1rem;
    text-decoration: none;
    margin: 0.5rem;
    transition: 0.3s;
}

.footer-nav-links a:hover {
    color: black;
    cursor: pointer;
}


.large-navigation-icon-footer {
    display: flex;
    margin: 0 auto;
}

.large-navigation-icon-footer li {
    display: inherit;
}

.large-navigation-icon-footer a {
    display: inherit;
    text-decoration: none;
    margin: 0.5rem;
}

.large-navigation-icon-footer i {
    color: #B61493;
    padding-bottom: 10px;
    font-size: 2rem;
    transition: 0.3s;
}

.large-navigation-icon-footer i:hover {
    color: white;
}




/* Media Queries */
@media only screen and (max-width: 600px) {
    .home-image-main-container img {
        height: 300px;
    }
}

@media only screen and (max-width: 1000px) {
    .filter-container {
        display: flex;
    }
    
    .large-filter-container {
        display: none;
    }
}
